[问题]关于ubuntu下安装jdk的问题,请高手帮忙解答,

为当前最终发行版之前的所有版本提供支持
回复
头像
xshitler
帖子: 5
注册时间: 2007-08-18 11:48
送出感谢: 0
接收感谢: 0

[问题]关于ubuntu下安装jdk的问题,请高手帮忙解答,

#1

帖子 xshitler » 2007-08-18 23:50

sudo rpm -ivh jdk-6-linux-i586.rpm
Password:
error: 依赖性检测失败:
/bin/basename 被 jdk-1.6.0-fcs.i586 所需要
/bin/cat 被 jdk-1.6.0-fcs.i586 所需要
/bin/cp 被 jdk-1.6.0-fcs.i586 所需要
/bin/gawk 被 jdk-1.6.0-fcs.i586 所需要
/bin/grep 被 jdk-1.6.0-fcs.i586 所需要
/bin/ln 被 jdk-1.6.0-fcs.i586 所需要
/bin/ls 被 jdk-1.6.0-fcs.i586 所需要
/bin/mkdir 被 jdk-1.6.0-fcs.i586 所需要
/bin/mv 被 jdk-1.6.0-fcs.i586 所需要
/bin/pwd 被 jdk-1.6.0-fcs.i586 所需要
/bin/rm 被 jdk-1.6.0-fcs.i586 所需要
/bin/sed 被 jdk-1.6.0-fcs.i586 所需要
/bin/sort 被 jdk-1.6.0-fcs.i586 所需要
/bin/touch 被 jdk-1.6.0-fcs.i586 所需要
/usr/bin/cut 被 jdk-1.6.0-fcs.i586 所需要
/usr/bin/dirname 被 jdk-1.6.0-fcs.i586 所需要
/usr/bin/expr 被 jdk-1.6.0-fcs.i586 所需要
/usr/bin/find 被 jdk-1.6.0-fcs.i586 所需要
/usr/bin/tail 被 jdk-1.6.0-fcs.i586 所需要
/usr/bin/tr 被 jdk-1.6.0-fcs.i586 所需要
/usr/bin/wc 被 jdk-1.6.0-fcs.i586 所需要
/bin/sh 被 jdk-1.6.0-fcs.i586 所需要

请问如何解决?本人才刚接触linux
janker2lonely
帖子: 557
注册时间: 2007-01-09 11:09
来自: 廣州
送出感谢: 0
接收感谢: 2 次

#2

帖子 janker2lonely » 2007-08-18 23:55

这里是ubuntu论坛,不是redhat。就是缺少组件,用yum来装就行了,yum会检查依赖关系。
头像
Element
论坛版主
帖子: 3537
注册时间: 2005-09-10 16:04
来自: DG-GD-China
送出感谢: 0
接收感谢: 0

#3

帖子 Element » 2007-08-19 0:18

引自wiki:
安装JAVA环境支持

打开终端,执行以下命令,或使用Adept/新立得软件管理器,在其中分别搜索"sun-java6-jre"和"sun-java6-jdk"并标记安装。

sudo apt-get install sun-java6-jre

如果空间富裕,建议安装一个JDK。

sudo apt-get install sun-java6-jdk

提示:安装过程中需要你回答是否同意使用协议(终端中红蓝色的提示界面),此时按tab键至OK,再按回车即可正常安装。

设置当前默认的java解释器:

sudo update-alternatives --config java

执行后会出现类似如下的画面:

There are 2 alternatives which provide `java'.

Selection Alternative
-----------------------------------------------
1 /usr/bin/gij-wrapper-4.1
*+ 2 /usr/lib/jvm/java-6-sun/jre/bin/java

Press enter to keep the default[*], or type selection number:

输入 有包含 "sun" 的行的前面的数字。如上面显示,则输入2,然后回车确定。


配置JAVA环境变量:

sudo gedit /etc/environment

在其中添加如下两行:

CLASSPATH=/usr/lib/jvm/java-6-sun/lib
JAVA_HOME=/usr/lib/jvm/java-6-sun

sudo gedit /etc/jvm

将文件中的

/usr/lib/jvm/java-6-sun

这一行填入到配置块的顶部

安装浏览器的JAVA Plugin(可选):

sudo apt-get install sun-java6-plugin
http://element.blog.ubuntu.org.cn/
Ubuntu Jaunty Jackalope...
AMD Barton 2600+
MSI K7N2 Delta-L
Kingston DDR400 512M*2+256M*1
nVidia FX5200
Seagate 80G(Jaunty Jackalope)
Seagate 160G(XXxxXX)
SyncMaster 732N
头像
xshitler
帖子: 5
注册时间: 2007-08-18 11:48
送出感谢: 0
接收感谢: 0

#4

帖子 xshitler » 2007-08-19 0:22

thk
just do it.
回复

回到 “老旧版本支持”